<template>
  <div>
    <h1>Test page</h1>
    <p>{{renderedOnClient}}</p>
    <p>{{renderedOnServer}}</p>
  </div>
</template>

<script>
export default {
  name: 'TestPage',
  data() {
    return {
      renderedOnClient: null
    };
  },
  asyncData() {
    console.log('server!');
    return {
      renderedOnServer: 'from server'
    }
  },
  mounted() {
    console.log('client!');
    this.renderedOnClient = 'from client';
  }
}
</script>
